Skip to content
Primary navigation

List groups

GET/organization/groups

Lists all groups in the organization.

Query ParametersExpand Collapse
after: optional string

A cursor for use in pagination. after is a group ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with group_abc, your subsequent call can include after=group_abc in order to fetch the next page of the list.

limit: optional number

A limit on the number of groups to be returned. Limit can range between 0 and 1000, and the default is 100.

minimum0
maximum1000
order: optional "asc" or "desc"

Specifies the sort order of the returned groups.

One of the following:
"asc"
"desc"
ReturnsExpand Collapse
data: array of object { id, created_at, is_scim_managed, name }

Groups returned in the current page.

id: string

Identifier for the group.

created_at: number

Unix timestamp (in seconds) when the group was created.

formatint64
is_scim_managed: boolean

Whether the group is managed through SCIM and controlled by your identity provider.

name: string

Display name of the group.

has_more: boolean

Whether additional groups are available when paginating.

object: "list"

Always list.

List groups

curl https://api.openai.com/v1/organization/groups?limit=20&order=asc \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "object": "list",
    "data": [
        {
            "object": "group",
            "id": "group_01J1F8ABCDXYZ",
            "name": "Support Team",
            "created_at": 1711471533,
            "is_scim_managed": false
        }
    ],
    "has_more": false,
    "next": null
}
Returns Examples
{
    "object": "list",
    "data": [
        {
            "object": "group",
            "id": "group_01J1F8ABCDXYZ",
            "name": "Support Team",
            "created_at": 1711471533,
            "is_scim_managed": false
        }
    ],
    "has_more": false,
    "next": null
}